#
#       Makefile for randlib
#
#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= randlib
LIBFSRCS	= rngu1.f rngu2.f
LIBF90SRCS	= rngu0.f90
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= rngu1.o rngu2.o
LIBF90OBJS	= rngu0.o
LIBOBJS		= $(LIBFOBJS) $(LIBF90OBJS)

object: $(LIBOBJS) $(LIBF90OBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
